
#Script for the exercises

##
######### exercise 1
##

data(precip)
head(precip)
help(precip)

# The average amount of precipitation (rainfall) in inches for 
# each of 70 United States (and Puerto Rico) cities.

precip
hist(precip)
length(precip)
histograma<-hist(precip,plot=FALSE)
str(histograma) # displays the contents of the list created by hist()
histograma$breaks
histograma$counts
n<-length(precip)
ni<-histograma$counts
nclass<-length(ni)
fi<-ni/n;fi
Ni<-cumsum(ni);Ni
Fi<-Ni/sum(ni);Fi

ci<- paste ("]",histograma$breaks[1:nclass],",",histograma$breaks[2:(nclass+1)] , "]",sep="")  

#for writting it with less decimal numbers let us round up to 3 decimal places

fi<-round(fi,3);fi
Fi<-round(Fi,3);Fi

tabela<-data.frame(ci,ni,fi,Fi,Ni)
write.table(tabela,"tabela.csv",sep=";",row.names=FALSE)

#if the separator in your excel is ;  this table open with excel
# if it is not you must write  sep=","

############
# 1c)
hist(precip, breaks<-c(0,15,35,50,60,70))

boxplot(precip)
summary(precip)


#outliers????

barS<-quantile(precip,prob=0.75)+1.5*IQR(precip)
barI<-quantile(precip,prob=0.25)-1.5*IQR(precip)
barI;barS

precip[precip>barS]
precip[precip<barI]

locator(4,type="p")
#### now for example ...

text(1.01,67.0,"Mobile")
text(1.01,7.9,"Phoenix")


#######
##2--
########

library(fBasics)
basicStats(precip)



qqnorm(precip)
qqline(precip)

shapiro.test(precip)

##### if you use the Kolmoroff Smirnov test, that is more conservative
#### we would get another answer... try

ks.test(precip,"pnorm",mean(precip),sd(precip))

## p-value is now  p-value = 0.3755
## that lead us to not reject the hyphotesis of normality.

##########
# Exec. 3
########


beer <-c(3, 4 ,1, 1, 3, 4, 3, 3, 1, 3, 2, 1, 2 ,1, 2, 3, 2, 3, 1, 1, 1, 1, 4, 3, 1)
barplot(beer) # this isn't correct
barplot(table(beer)) # Yes, call with summarized data
barplot(table(beer)/length(beer)) # divide by n for proportion


#------
# Exerc 8
#-----

x<-c() #vector with the simulated values random 
x<-rnorm(100);x
k<-1;sigma<-1
n <-length(x)
sum( -k*sigma <x & x< k*sigma)/n

# construct the other intervals






